Package org.firebirdsql.gds.ng.wire.version11

## Class V11WireOperations

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AbstractWireOperations
  - - org.firebirdsql.gds.ng.wire.version10.V10WireOperations
    - - org.firebirdsql.gds.ng.wire.version11.V11WireOperations

All Implemented Interfaces:
  `FbWireOperations`

Direct Known Subclasses:
  `V13WireOperations`

    public class V11WireOperations
    extends V10WireOperations

Since:
  3.0
Author:
  Mark Rotteveel

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

`FbWireOperations.ProcessAttachCallback`

### Constructor Summary

Constructors
`V11WireOperations​(WireConnection<?,​?> connection, WarningMessageCallback defaultWarningMessageCallback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enqueueDeferredAction​(DeferredAction deferredAction)` Enqueue a deferred action.
`void` `processDeferredActions()` Processes any deferred actions.

### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10WireOperations

`authReceiveResponse`

### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

`addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, handleCryptKeyCallback, processOperation, processResponse, processResponseWarnings, readBatchCompletionResponse, readGenericResponse, readInlineBlobResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, writeDirect`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V11WireOperations

    public V11WireOperations​(WireConnection<?,​?> connection,
                             WarningMessageCallback defaultWarningMessageCallback)

### Method Detail

#### enqueueDeferredAction

    public final void enqueueDeferredAction​(DeferredAction deferredAction)

Description copied from interface: `FbWireOperations`
Enqueue a deferred action.

FbDatabase implementations that do not support deferred actions are allowed to throw an `UnsupportedOperationException` (which the default implementation does).

Parameters:
  `deferredAction` - Deferred action

#### processDeferredActions

    public final void processDeferredActions()

Description copied from interface: `FbWireOperations`
Processes any deferred actions. Protocol versions that do not support deferred actions should simply do nothing.

WARNING: If the server queues deferred responses, and expects an operation (e.g. `op_batch_sync`, `op_batch_exec` or `op_ping`) to actual send those responses, this method may block indefinitely.